#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-CBBOXbxc3sWHuVqkKzbYBl
key:                  ghcide-2.0.0.0-CBBOXbxc3sWHuVqkKzbYBl
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  c76ca1d3f74f28dd481f76caed1e0b19
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-CBBOXbxc3sWHuVqkKzbYBl
depends:
    Diff-0.4.1-9HCLJVjjm4ELJfJBKkdQuT
    Glob-0.10.2-803s3Kyn17jAWerXfasQco
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs
    aeson-pretty-0.8.10-9ThtwQ8RvnUKm05S2WK35q array-0.5.4.0
    async-2.2.5-FKfvvqWRs5hKqVa0zqZISU base-4.16.4.0
    base16-bytestring-1.0.2.0-782qI6Y9xiJ9xGN2Wl1pB binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-70bos50a2k8AE0jNL30hL3
    co-log-core-0.3.2.3-2jar4QQWBeQ2WFU5Y3FqE3 containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-Csqu1JwdGK49Tt3hHK8UXr
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-FzH4RJiUOLH3PmV8HtQ7qA
    dependent-sum-0.7.2.0-GJAM7qkZGWoI2tX47bNFIs directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-7bM4ZLzFNSYJxdMUYcUoen exceptions-0.10.4
    extra-1.7.16-2J2bG8MFL7tHnqeqtxhfYG filepath-1.4.2.2
    fingertree-0.1.5.0-GUfn8GmcTZq8earE1PVvSp
    focus-1.0.3.2-BpIMAt23vn77RYfGKbJIrM ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-C3LOeph3uHBop5uYFpfzT
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-8xpVNMsACcx7CAxaOQXUec
    hashable-1.4.4.0-Eh4n1fgdym83z63BlyWtti
    hie-bios-0.12.0-37XMP2BvOyW2nkQ8ktYOLL
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-3qxRaFoqjI4ACrEELUn2B3
    hls-graph-2.0.0.0-HSrjtrZzYZX3B0dIFIyGZv
    hls-plugin-api-2.0.0.0-CW8UACS2gBGJl9gutLXzi
    implicit-hie-0.1.2.7-6pQGQW8F92lECfkSGc9xXn
    implicit-hie-cradle-0.5.0.1-Jn29JYhiN9i1fpDZCDEYj1
    lens-5.2.3-BcbsjteKstPEavVOJbsbR8
    list-t-1.0.5.5-9QRPIqPyRXFKrR3OfvehEe
    lsp-1.6.0.0-F0Nmel9YVmOLlSY8e4MZuz
    lsp-types-1.6.0.1-JkrHeUIMecV1GAWqy6Z0ks mtl-2.2.2
    opentelemetry-0.8.0-4K67uhtkpyhCNid51RE7np
    optparse-applicative-0.17.1.0-7tXDiKRIUeT1RvbN3SgNTn
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-P4nIstiPm4DFD12od2xCI
    prettyprinter-ansi-terminal-1.1.3-C0i3W0msIa27OvXKGJrj67
    random-1.2.1.2-81vy8e6NCuX1qZ1DGAELzi
    regex-tdfa-1.3.2.2-F5WIJphxps6tkovtNlc0r
    safe-exceptions-0.1.7.4-3Ajn6eqx2RvAvVJktIwqH2
    sorted-list-0.2.2.0-HkHT0bRZRHnEpkI6zhHXXB
    sqlite-simple-0.4.19.0-5FigdLXbGq1BVsx79spj3N stm-2.5.0.2
    stm-containers-1.2.1.1-7bSZa16jIIKLAsweQaKu0V
    syb-0.7.2.4-7ynUdJcB17N8mF8LpyS12V text-1.2.5.0
    text-rope-0.3-78tjK1vSrjs5cWsiVOBg3d time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.1-6TQZ4UCNBtlLftWP3Dt2Ro
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    vector-0.13.1.0-IOJlwkRydAuH1Lkdw56w5r

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

